libnvme(2)

NAME
enum nvme_mi_csts - Controller Health Data Structure (CHDS) - Controller Status (CSTS)

SYNOPSIS
enum nvme_mi_csts {
NVME_MI_CSTS_RDY ,
NVME_MI_CSTS_CFS ,
NVME_MI_CSTS_SHST ,
NVME_MI_CSTS_NSSRO ,
NVME_MI_CSTS_CECO ,
NVME_MI_CSTS_NAC ,
NVME_MI_CSTS_FA

};

Constants

NVME_MI_CSTS_RDY
    Ready

NVME_MI_CSTS_CFS
    Controller Fatal Status

NVME_MI_CSTS_SHST
    Shutdown Status

NVME_MI_CSTS_NSSRO
    NVM Subsystem Reset Occurred

NVME_MI_CSTS_CECO
    Controller Enable Change Occurred

NVME_MI_CSTS_NAC
    Namespace Attribute Changed

NVME_MI_CSTS_FA
    Firmware Activated